System.ServiceModel 4.0.0.0

Use the interface inside a duplex session to send outbound messages prior to closing the session. For example, if a client closes a session the service can implement to be notified prior to the shutdown, enabling the service to send one notification message prior to returning. The client receives the notification prior to the acknowledgment that the client can close the channel.

Defines the contract that must be implemented to shut down an input session.

- Method
  4.0.0.0
  System.Void ``

  Use the method to perform some custom behavior when a channel has faulted. Typically, the channel is aborted.

  Indicates that the channel has faulted.

  The that has faulted.
- Method
  4.0.0.0
  System.Void `` To be added.

  Indicates when the client channel is done receiving messages as part of the duplex message exchange.

  The that is done receiving.